<?php
	include_once ('../includes/variables.php');
	DEFINE ('DB_HOST', $host);
	DEFINE ('DB_USER', $username);	 
	DEFINE ('DB_PASSWORD', $password);
	DEFINE ('DB_NAME', $databasename);
	DEFINE ('TABLE_NAME', "noun");

    $mysqli = mysqli_connect(DB_HOST, DB_USER, DB_PASSWORD, DB_NAME) or die (mysqli_error($conn)); 
    if ($mysqli->connect_errno) {
    	echo "Failed to connect to MySQL: " . $mysqli->connect_error;
    	exit();
    }
    
    //Run once UTF8 display & search related issues.
    $sSQL= 'SET CHARACTER SET utf8'; 
    mysqli_query($mysqli , $sSQL) or die ('Can\'t charset in DataBase'); 

 if(isset($_GET['id'])){
        $inputText = $_GET['id'];
    
        $query = "SELECT * FROM ".TABLE_NAME." WHERE id='$inputText'";
    	$result = $mysqli->query($query);
        	if ($result->num_rows > 0) {
    		while ($row = $result->fetch_assoc()) {
    		   
                     echo  json_encode($row);
    		  
    		}
    	}
    }

    if (isset($_POST['queryNoun'])) {
    	$inputText = $_POST['queryNoun'];
    	$row = '';
    
    	$query = "SELECT * FROM ".TABLE_NAME." WHERE singular LIKE N'%$inputText%'";
    	
    	$result = $mysqli->query($query);
    	if ($result->num_rows > 0) {
    		while ($row = $result->fetch_assoc()) {
    		    if ($result->num_rows <= 10) {
                     echo "<a><li class='list-group-item' id='noun'>" . $row['singular'] . "</li></a>";
    		    }
    		}
    	} else {
            echo "<a><li class='list-group-item'>Not Found</li></a>";
    	}
    }


    if (isset($_GET['title'])) {
    	$inputText = $_GET['title'];
    
    	$query = "SELECT * FROM ".TABLE_NAME." WHERE singular=N'$inputText'";
    	$result = $mysqli->query($query);
    
    	if ($result->num_rows > 0) {
    		while ($row = $result->fetch_assoc()) {
    			echo json_encode($row);
    		}
    	}
    }


    // Insert and Update Date
    if (isset($_POST['submit-noun'])) {
    	$data = '';
    	$updatedId = $_POST['id-noun'];
    	
    	if ($updatedId != null) {
    		$singular = $_POST['singular'];
    		$dualname = $_POST['dualname'];
    		$plural = $_POST['plural'];
    		
    		$singularfm = $_POST['singularfm'];
    		$dualnamefm = $_POST['dualnamefm'];
    		$pluralfm = $_POST['pluralfm'];
    		
    		$meaning = $_POST['meaning-noun'];
    		$verbid = $_POST['verb-id'];
    		$extranoun = $_POST['extra-noun'];
    		
            date_default_timezone_set("Asia/Calcutta");   //India time (GMT+5:30)
            $currenttime = date('Y-m-d H:i:s');
            
            //echo date("r");
            //$date = date('m/d/Y h:i:s a', time());

    	    $query = "UPDATE ".TABLE_NAME." SET 
    	        singular=N'$singular', dualname=N'$dualname', plural=N'$plural', 
    	        singularfm=N'$singularfm', dualnamefm=N'$dualnamefm', pluralfm=N'$pluralfm', 
    	        meaning=N'$meaning', extra=N'$extranoun', verbid=N'$verbid', modified='$currenttime' WHERE id='$updatedId'";
    	        
    
    		$result = $mysqli->query($query);
    		if ($result) {
    			$data = 'Noun updated successfully' ." (".($mysqli -> error).")";
    			echo json_encode($data);
    			header("Location: index.php?msg=" . $data);
    		} else {
    			$data = 'Noun not updated' ." (".($mysqli -> error).")";
    			echo json_encode($data);
    			header("Location: index.php?msg=" . $data);
    		}
    	} else {
    		$singular = $_POST['singular'];
    		$dualname = $_POST['dualname'];
    		$plural = $_POST['plural'];
    		
    		$singularfm = $_POST['singularfm'];
    		$dualnamefm = $_POST['dualnamefm'];
    		$pluralfm = $_POST['pluralfm'];
    		
    		$meaning = $_POST['meaning-noun'];
    		$verbid = $_POST['verb-id'];
    		$extranoun = $_POST['extra-noun'];
    
            date_default_timezone_set("Asia/Calcutta");   //India time (GMT+5:30)
            $currenttime = date('Y-m-d H:i:s');
            
    		$query = "INSERT INTO ".TABLE_NAME."(singular, dualname, plural, singularfm, dualnamefm, pluralfm, meaning, extra, verbid, modified) 
    		VALUES(N'$singular', N'$dualname',  N'$plural', N'$singularfm', N'$dualnamefm',  N'$pluralfm', N'$meaning', N'$extranoun', N'$verbid', '$currenttime')";
    
    		$result = $mysqli->query($query);
            //$result = mysqli_query($result, $mysqli) or trigger_error("Query Failed! SQL: $sql - Error: ".mysqli_error(), E_USER_ERROR);
            
    		if ($result) {
    			$data = 'New Noun saved successfully';
    			echo json_encode($data);
    			header("Location: index.php?msg=" . $data);
    		} else {
    			$data = 'New Noun not saved' ." (".($mysqli -> error).")";
    			echo json_encode($data);
    			header("Location: index.php?msg=" . $data);
    		}
    	}
    }
    
    
    
    
    
    
    
    
    /*
    //SELECT * FROM `dictionary` WHERE `arabic` LIKE '%أَب%' ORDER BY `dictionary`.`type` ASC
    //$mysqli = mysqli_connect("localhost","india5zh_comuser","comuser=123","india5zh_hadis_dictionary");
    //$query = "SELECT * FROM ".TABLE_NAME." WHERE hepast=N'$inputText'";
	//$query = "SELECT * FROM sarf WHERE hepast = N'$inputText'";
	//$query = "SELECT * FROM sarf WHERE hepast LIKE '%$inputText%'";
    //echo "<a href='#'  class='list-group-item list-group-item-action border-1'>" . $row['hepast'] . "</a>";
    //echo "<a href='#' class='list-group-item list-group-item-action border-1'>Not Found</a>";
	//$query = "UPDATE sarf SET hepast='$hepast', meaning='$meaning', past='$past', present='$present', command='$command', extra='$extra', root='$root' WHERE id='$id'";
	//$query = "UPDATE sarf SET hepast=N'$hepast', meaning=N'$meaning', past=N'$past', present=N'$present', command=N'$command', extra=N'$extra', root=N'$root' WHERE id='$id'";
    */
?>